unit unit2;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, StdCtrls,
  TASources, TAGraph, TASeries, TATools, Types;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1BarSeries1: TBarSeries;
    Chart1LineSeries1: TLineSeries;
    Chart1LineSeries2: TLineSeries;
    ChartToolset1: TChartToolset;
    ChartToolset1DataPointCrosshairTool1: TDataPointCrosshairTool;
    RandomChartSource1: TRandomChartSource;
    RandomChartSource2: TRandomChartSource;
    RandomChartSource3: TRandomChartSource;
    StatusBar1: TStatusBar;
    procedure ChartToolset1DataPointCrosshairTool1Draw(
      ASender: TDataPointDrawTool);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  TACustomSeries, TAChartUtils;

{ TForm1 }

procedure TForm1.ChartToolset1DataPointCrosshairTool1Draw(
  ASender: TDataPointDrawTool);
var
  ser: TChartSeries;
  txt: String;
begin
  ser := TChartSeries(ASender.Series);
  if (ser <> nil) then begin
    txt := ser.Title + ' Point index ' + IntToStr(ASender.PointIndex);
    if ser is TBarSeries then
      ChartToolset1DatapointCrosshairTool1.CrosshairPen.Color := clGreen
    else
    if ser is TLineSeries then
      ChartToolset1DatapointCrosshairTool1.CrosshairPen.Color := TLineSeries(ser).SeriesColor
    else
      ChartToolset1DatapointCrosshairTool1.CrosshairPen.Color := clGray;
  end else
    txt := '';
  Statusbar1.SimpleText := txt;
end;

end.

